<?php
if (!isset($_SESSION['ID'])) {
} else {
	echo "<h1>Objekt speichern...</h1>\n";
	$sql = 'UPDATE objekte SET
		VVID				= "'.$_POST['VVID'].'",
		Aktiv				= "'.$_POST['Aktiv'].'",
		Deaktiv				= "'.$_POST['Deaktiv'].'",
		Highlight			= "'.$_POST['Highlight'].'",
		Neu					= "'.$_POST['Neu'].'",
		FotoStart			= "'.$_POST['FotoStart'].'",
		Kurz				= "'.$_POST['Kurz'].'",
		Tags				= "'.$_POST['Tags'].'",
		OBeschreibung		= "'.$_POST['OBeschreibung'].'",
		Art					= "'.$_POST['Art'].'",
		Zustand				= "'.$_POST['Zustand'].'",
		Quali				= "'.$_POST['Quali'].'",
		Baujahr				= "'.$_POST['Baujahr'].'",
		Modern				= "'.$_POST['Modern'].'",
		Zimmer				= "'.$_POST['Zimmer'].'",
		Etagen				= "'.$_POST['Etagen'].'",
		WohnF				= "'.$_POST['WohnF'].'",
		GrundF				= "'.$_POST['GrundF'].'",
		Heizart				= "'.$_POST['Heizart'].'",
		Befeuerung			= "'.$_POST['Befeuerung'].'",
		WaschOrt			= "'.$_POST['WaschOrt'].'",
		TV					= "'.$_POST['TV'].'",
		Bezug				= "'.$_POST['Bezug'].'",
		Strasse				= "'.$_POST['Strasse'].'",
		StraNr				= "'.$_POST['StraNr'].'",
		PLZ					= "'.$_POST['PLZ'].'",
		Ort					= "'.$_POST['Ort'].'",
		Mkalt				= "'.$_POST['Mkalt'].'",
		Mwarm				= "'.$_POST['Mwarm'].'",
		StellK				= "'.$_POST['StellK'].'",
		SonK				= "'.$_POST['SonK'].'",
		ProvisionsPflichtig	= "'.$_POST['ProvisionsPflichtig'].'",
		Provision			= "'.$_POST['Provision'].'",
		EinbauK				= "'.$_POST['EinbauK'].'",
		Speise				= "'.$_POST['Speise'].'",
		AnzBad				= "'.$_POST['AnzBad'].'",
		AnzSchlaf			= "'.$_POST['AnzSchlaf'].'",
		BadeW				= "'.$_POST['BadeW'].'",
		DuschK				= "'.$_POST['DuschK'].'",
		WCbad				= "'.$_POST['WCbad'].'",
		WCsep				= "'.$_POST['WCsep'].'",
		Abstell				= "'.$_POST['Abstell'].'",
		DachB				= "'.$_POST['DachB'].'",
		Keller				= "'.$_POST['Keller'].'",
		AnzGarStell			= "'.$_POST['AnzGarStell'].'",
		Garage				= "'.$_POST['Garage'].'",
		StellPl				= "'.$_POST['StellPl'].'",
		Terrasse			= "'.$_POST['Terrasse'].'",
		Balkon				= "'.$_POST['Balkon'].'",
		Garten				= "'.$_POST['Garten'].'",
		Lage				= "'.$_POST['Lage'].'",
		Ausstatt			= "'.$_POST['Ausstatt'].'",
		EnerTyp				= "'.$_POST['EnerTyp'].'",
		EnerVKW				= "'.$_POST['EnerVKW'].'",
		EnerWWEnt			= "'.$_POST['EnerWWEnt'].'",
		Aufzug				= "'.$_POST['Aufzug'].'",
		Betreut				= "'.$_POST['Betreut'].'",
		Barrierefrei		= "'.$_POST['Barrierefrei'].'",
		Sonstiges			= "'.$_POST['Sonstiges'].'",
		Intern				= "'.$_POST['Intern'].'",
		Akt_Datum			= now()
	WHERE ID = "'.$_POST['ID'].'";';
	$stmt = $db->prepare($sql);
	if (!$stmt) {
		die ('Datensatz konnte nicht gespeichert werden: '.$db->error);
	}
	if (!$stmt->execute()) {
		die ('Datensatz konnte nicht gespeichert werden: '.$stmt->error);
	}
		$sql	= "SELECT * FROM objekte WHERE ID = '" . $_POST['ID'] . "';";
		$result = $db->query($sql);
		$nt 	= $result->fetch_assoc();

		if ( $nt['Scout'] )
			{
				$_POST['ImmoScout'] = 'loeschen';
			}
		if ( $nt['Welt'] )
			{
				$_POST['ImmoWelt'] = 'loeschen';
			}
		if ( $nt['Net'] )
			{
				$_POST['ImmoNet'] = 'loeschen';
			}
		$_POST['fromDel']  = '1';
		include "inhalte/objekte/aktivieren.php";
	echo "<p>Datensatz wurde gespeichert!</p>\n";
	echo "<form action=\"index.php?section=objekte&t=fotos&o=".$_POST['ID']."\" method=\"post\" />\n";
	echo "	<input type=\"submit\" name=\"Fotos\" value=\"zu den Fotos\" />\n";
	echo "</form>\n";
	include "inhalte/orte.php";

}
?>